selinux_policy_root(3)

NAME
selinux_policy_root - return the path of the SELinux policy files for this machine selinux_set_policy_root - Set an alternate SELinux root path for the SELinux policy files for this machine.

SYNOPSIS
#include <selinux/selinux.h>

const char *selinux_policy_root(void);

int selinux_set_policy_root(const char *policypath);

DESCRIPTION
selinux_policy_root() reads the contents of the /etc/selinux/config file to determine which policy files should be used for this machine. selinux_set_policy_root() sets up all policy paths based on the alternate root

/etc/selinux/config file to determine which policy files should be used for this machine.

RETURN VALUE
On success, selinux_policy_root returns a directory path containing the SELinux policy files. On failure, selinux_policy_root returns NULL.

On success, selinux_set_policy_root returns 0 on success -1 on failure.

SEE ALSO
selinux(8)